## transfig 3.2.6a

=== debian/changelog ===
transfig (1:3.2.6a-2~deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2025-31162: floating point exception with huge pattern lengths
  * CVE-2025-31163: non-rejection of arcs with co-incident points
  * CVE-2025-31164: heap buffer overflow on arc-box with zero radius

 -- Adrian Bunk <bunk@debian.org>  Mon, 21 Apr 2025 13:46:04 +0300

transfig (1:3.2.6a-2~deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * New upstream release 3.2.6a.
  * Backport the Stretch version of fig2dev but do not introduce the new
    fig2dev binary package and keep transfig instead.
  * Fix CVE-2019-19797:
    read_colordef in read.c in fig2dev has an out-of-bounds write.
  * Fix CVE-2020-21529:
    fig2dev contains a stack buffer overflow in the bezier_spline function in
    genepic.c.
  * Fix CVE-2020-21530:
    fig2dev contains a segmentation fault in the read_objects function
    in read.c.
  * Fix CVE-2020-21531:
    fig2dev contains a global buffer overflow in the conv_pattern_index
    function in gencgm.c.
  * Fix CVE-2020-21532:
    fig2dev contains a global buffer overflow in the setfigfont function
    in genepic.c.
  * Fix CVE-2020-21533:
    fig2dev contains a stack buffer overflow in the read_textobject
    function in read.c.
  * Fix CVE-2020-21534:
    fig2dev contains a global buffer overflow in the get_line function
    in read.c.
  * Fix CVE-2020-21535:
    fig2dev contains a segmentation fault in the gencgm_start function
    in gencgm.c.
  * Fix CVE-2020-21675:
    A stack-based buffer overflow in the genptk_text component in genptk.c of
    fig2dev allows attackers to cause a denial of service (DOS) via converting
    a xfig file into ptk format.
  * Fix CVE-2021-3561:
    An Out of Bounds flaw was found in fig2dev. A flawed bounds check in
    read_objects() could allow an attacker to provide a crafted malicious input
    causing the application to either crash or in some cases cause memory
    corruption. The highest threat from this vulnerability is to integrity as
    well as system availability.
  * Fix CVE-2021-32280:
    An issue was discovered in fig2dev. A NULL pointer dereference exists in
    the function compute_closed_spline() located in trans_spline.c. It allows
    an attacker to cause a Denial of Service.

 -- Markus Koschany <apo@debian.org>  Mon, 04 Oct 2021 09:30:34 +0200

transfig (1:3.2.5.e-4+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2018-16140: Buffer underwrite vulnerability in get_line()
     allows an attacker to write prior to the beginning of the
     buffer via a crafted .fig file.
  * CVE-2019-14275: Stack-based buffer overflow in the calc_arrow
     function in bound.c.
  * CVE-2019-19555: Stack-based buffer overflow because of an
     incorrect sscanf.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jan 2020 21:49:04 +0100

transfig (1:3.2.5.e-4+deb8u1) jessie; urgency=medium

  * CVE-2017-16899: 33_input_sanitizing: Some input sanitizing on FIG
    files (Closes: #881143, #881144).
  * 34_fill-style-overflow: Sanitize input of fill patterns
    (Closes: #881396).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 30 Nov 2017 12:17:07 +0100
