=== debian/control ===
Source: transfig
Section: graphics
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               etoolbox,
               gawk,
               ghostscript,
               latex-beamer,
               libpng-dev,
               libxpm-dev (>= 1:3.5.4.2),
               netpbm,
               texlive-font-utils,
               texlive-fonts-recommended,
               texlive-lang-german,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-pictures (>= 2013.20140314) | pgf,
               xutils-dev
Homepage: https://sourceforge.net/projects/mcj/

Package: transfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-common, gawk
Recommends: netpbm (>= 2:10.0-4), ghostscript
Suggests: xfig
Multi-Arch: foreign
Description: Utilities for converting XFig figure files
 This package contains utilities (mainly fig2dev) to handle XFig
 (Facility for Interactive Generation of figures) files.
 .
 It can convert them to box, cgm, epic, eepic, eepicemu, emf, eps,
 gif, ibmgl, jpeg, latex, map (HTML image map), mf (MetaFont), mp
 (MetaPost), mmp (Multi-Meta-Post), pcx, pdf, pdftex, pdftex_t, pic,
 pictex, png, ppm, ps, pstex, pstex_t, ptk (Perl/tk), sld (AutoCad
 slide format), textyl, tiff, tk (Tcl/Tk), tpic, xbm and xpm.
